GtkPlotPixmap
3
GTKEXTRA Library

# GtkPlotPixmap

Pixmap plots widget.

## Synopsis

    #include <gtkextra.h>

                        GtkPlotPixmap;
    GtkWidget*          gtk_plot_pixmap_new                 (GdkPixmap *pixmap,
                                                             GdkBitmap *mask);
    void                gtk_plot_pixmap_construct           (GtkPlotPixmap *data,
                                                             GdkPixmap *pixmap,
                                                             GdkBitmap *mask);
    GdkPixmap*          gtk_plot_pixmap_get_pixmap          (GtkPlotPixmap *pixmap);
    GdkBitmap*          gtk_plot_pixmap_get_mask            (GtkPlotPixmap *pixmap);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkPlotData
                               +----GtkPlotPixmap

## Implemented Interfaces

GtkPlotPixmap implements AtkImplementorIface and GtkBuildable.

## Properties

      "mask-bitmap"              gpointer              : Read / Write
      "pixmap"                   gpointer              : Read / Write

## Description

FIXME:: Need long description.

## Details

### GtkPlotPixmap

    typedef struct _GtkPlotPixmap GtkPlotPixmap;

The GtkPlotPixmap struct contains only private data. It should only be accessed through the functions described below.

### gtk_plot_pixmap_new ()

    GtkWidget*          gtk_plot_pixmap_new                 (GdkPixmap *pixmap,
                                                             GdkBitmap *mask);

`pixmap` :

  a GdkPixmap.

`mask` :

Returns :

  a new GtkWidget.

### gtk_plot_pixmap_construct ()

    void                gtk_plot_pixmap_construct           (GtkPlotPixmap *data,
                                                             GdkPixmap *pixmap,
                                                             GdkBitmap *mask);

`data` :

`pixmap` :

  a GdkPixmap

`mask` :

### gtk_plot_pixmap_get_pixmap ()

    GdkPixmap*          gtk_plot_pixmap_get_pixmap          (GtkPlotPixmap *pixmap);

Get pixmap from GtkPlotPixmap.

`pixmap` :

  a GdkPlotPixmap

Returns :

  a GdkPixmap.

### gtk_plot_pixmap_get_mask ()

    GdkBitmap*          gtk_plot_pixmap_get_mask            (GtkPlotPixmap *pixmap);

Get mask bitmap from GtkPlotPixmap.

`pixmap` :

  a GdkPlotPixmap

Returns :

  a GdkBitmap.

## Property Details

### The `"mask-bitmap"` property

      "mask-bitmap"              gpointer              : Read / Write

Mask.

### The `"pixmap"` property

      "pixmap"                   gpointer              : Read / Write

Pixmap.